export const SYSTEM_ID = "fvtt-te-deum";


export const TEDEUM_CONFIG = {

  BONUS_DEGATS: [{}, { label: "1d4", value: -2 }, { label: "1d6", value: -1 }, { label: "1d8", value: 0 },
  { label: "1d10", value: 1 }, { label: "1d12", value: 2 }, { label: "1d20", value: 3 }],
  MAX_ARMURES_LOURDES: [{}, { value: 1 }, { value: 3 }, { value: 5 },
  { value: 7 }, { value: 9 }, { value: 11 }],
  ACTIONS_PAR_TOUR: [{}, { value: 1 }, { value: 2 }, { value: 2 },
  { value: 3 }, { value: 3 }, { value: 4 }],
  COUT_XP: [{}, { value: 10 }, { value: 10 }, { value: 10 },
  { value: 10 }, { value: 30 }, { value: 50 }],

  LOCALISATION: {
    "pieddroit": { label: "Pied Droit", value: 1, locMod:0, id: "pieddroit", nbArmure: 1, score: {min: 1, max:1}, coord: { top: 500, left: 0 } },
    "jambedroite": { label: "Jambe Droite", value: 1, locMod:-1,id: "jambedroite", nbArmure: 1, score: {min: 3, max:4},coord: { top: 400, left: 100 } },
    "jambegauche": { label: "Jambe Gauche", value: 1, locMod:-1,id: "jambegauche", nbArmure: 1, score: {min: 5, max:6},coord: { top: 400, left: 300 } },
    "piedgauche": { label: "Pied Gauche", value: 1, locMod:0,id: "piedgauche", nbArmure: 1, score: {min: 2, max:2},coord: { top: 500, left: 400 } },
    "maindroite": { label: "Main Droite", value: 1, locMod:0,id: "maindroite", nbArmure: 1, score: {min: 7, max:7},coord: { top: 0, left: 0 } },
    "maingauche": { label: "Main Gauche", value: 1, locMod:0,id: "maingauche", nbArmure: 1, score: {min: 8, max:8},coord: { top: 0, left: 400 } },
    "brasdroit": { label: "Bras Droit", value: 1, locMod:-1,id: "brasdroit", nbArmure: 2, score: {min: 9, max:10},coord: { top: 200, left: 0 } },
    "brasgauche": { label: "Bras Gauche", value: 1, locMod:-1,id: "brasgauche", nbArmure: 2, score: {min: 11, max:12},coord: { top: 200, left: 400 } },
    "corps": { label: "Corps", value: 1, id: "corps", locMod:-2,nbArmure: 2, score: {min: 13, max:17},coord: { top: 200, left: 200 } },
    "tete": { label: "Tête", value: 1, id: "tete", locMod:-2,nbArmure: 2 , score: {min: 18, max:20},coord: { top: 0, left: 200 }},
  },

  ARME_SPECIFICITE: {
    "encombrante": { label: "Encombrante", id: "encombrante", melee: true, tir: true},
    "maintiendistance": { label: "Maintien à distance", id: "maintiendistance", melee: true, tir: false },
    "coupassomant": { label: "Coup assomant", id: "coupassomant", melee: true, tir: false},
    "peutlancer": { label: "Peut être lancée", id: "peutlancer", melee: true, tir: false},
    "pasboutportant": { label: "Inutilisable à bout portant", id: "pasboutportant", melee: false, tir: true},
    "mitraille": { label: "Mitraille", id: "mitraille", melee: false, tir: true },
    "degatscharge": { label: "Dégâts accrus à la charge", id: "degatscharge", melee: true, tir: false },
    "crochecavalier": { label: "Croche-cavalier", id: "crochecavalier", melee: true, tir: false },
    "coupfaucheur": { label: "Coup du faucheur", id: "coupfaucheur", melee: true, tir: false },
    "briselances": { label: "Brise-lances", id: "briselances", melee: true, tir: false },
    "pasbrisemaingaucheespagnole": { label: "Ne peut être brisé pas une main gauche espagnole", id: "pasbrisemaingaucheespagnole", melee: true, tir: false },
    "peutbriser": { label: "Peut briser", id: "peutbriser", melee: true, tir: false },
  },

  ARME_PORTEES: {
    "brulepourpoint": { label: "Brûle-pourpoint", difficulty: "facile", id: "brulepourpoint"},
    "courte": { label: "Courte", difficulty: "pardefaut", id: "courte"},
    "moyenne": { label: "Moyenne", difficulty: "difficile", id: "moyenne"},
    "longue": { label: "Longue", difficulty: "perilleux", id: "longue"},
    "extreme": { label: "Extrême", difficulty: "desespere", id: "extreme"},
  },

  descriptionValeurOdd: {
    1: { valeur: 1, qualite: "Mauvais", dice: "d4", negativeDice: "d20", savoir: "Sot", sensibilite: "Obtus", entregent: "Rustaud", puissance: "Menu", complexion: "Anémique", adresse: "Empesé" },
    2: { valeur: 2, qualite: "Médiocre", dice: "d6", negativeDice: "d12", savoir: "Limité", sensibilite: "Etriqué", entregent: "Frustre", puissance: "Délicat", complexion: "Languide", adresse: "Gauche" },
    3: { valeur: 3, qualite: "Correct", dice: "d8", negativeDice: "d10", savoir: "Mêlé", sensibilite: "Ouvert", entregent: "Badin", puissance: "Membru", complexion: "Dispos", adresse: "Ingambe" },
    4: { valeur: 4,  qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    5: { valeur: 5, qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    6: { valeur: 6, qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    7: { valeur: 7, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    8: { valeur: 8, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    9: { valeur: 9, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    10: { valeur: 10, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    11: { valeur: 11, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    12: { valeur: 12, qualite: "Admirable", dice: "d20", negativeDice: "d4", savoir: "Humaniste", sensibilite: "Spirituel", entregent: "Sémillant", puissance: "Hercule", complexion: "Aguerri", adresse: "Alerte" },
  },
  descriptionValeur: {
    1: { valeur: 1, qualite: "Mauvais", dice: "d4", negativeDice: "d20", savoir: "Sot", sensibilite: "Obtus", entregent: "Rustaud", puissance: "Menu", complexion: "Anémique", adresse: "Empesé" },
    2: { valeur: 2, qualite: "Médiocre", dice: "d6", negativeDice: "d12", savoir: "Limité", sensibilite: "Etriqué", entregent: "Frustre", puissance: "Délicat", complexion: "Languide", adresse: "Gauche" },
    3: { valeur: 3, qualite: "Correct", dice: "d8", negativeDice: "d10", savoir: "Mêlé", sensibilite: "Ouvert", entregent: "Badin", puissance: "Membru", complexion: "Dispos", adresse: "Ingambe" },
    4: { valeur: 4, qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    5: { valeur: 5, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    6: { valeur: 6, qualite: "Admirable", dice: "d20", negativeDice: "d4", savoir: "Humaniste", sensibilite: "Spirituel", entregent: "Sémillant", puissance: "Hercule", complexion: "Aguerri", adresse: "Alerte" },
  },
  diceValeur: [ "d4", "d6", "d8", "d10", "d12", "d20" ],
  degatsArmure : {    
    sansarmure : { label: "Sans armure"},
    cuir : { label: "Cuir"},
    plates : { label: "Plates"},
    mailles : { label: "Mailles"},
  },

  caracteristiques: {
    savoir: { id: "savoir", value: "savoir", label: "Savoir" },
    sensibilite: { id: "sensibilite", value: "sensibilite", label: "Sensibilité" },
    entregent: { id: "entregent", value: "entregent", label: "Entregent" },
    complexion: { id: "complexion", value: "complexion", label: "Complexion" },
    puissance: { id: "puissance", value: "puissance", label: "Puissance" },
    adresse: { id: "adresse", value: "adresse", label: "Adresse" },
  },

  providence: [
    { labelM: "Brebis égarée", labelF: "Brebis égarée", value: 0, diceValue: "0" },
    { labelM: "Pauvre pêcheur", labelF: "Pauvre pêcheresse", value: 1, diceValue: "d4" },
    { labelM: "Fils prodigue", labelF: "Fille prodigue", value: 2, diceValue: "d6" },
    { labelM: "Bon samaritain", labelF: "Bon samaritain", value: 3, diceValue: "d8" },
    { labelM: "Animé par la grâce", labelF: "Animée par la grâce", value: 4, diceValue: "d10" },
    { labelM: "Oint du Seigneur", labelF: "Ointe du Seigneur", value: 5, diceValue: "d12" },
    { labelM: "Dans la main de Dieu", labelF: "Dans la main de Dieu", value: 6, diceValue: "d20" },
  ],

  armeTypes: {
    melee: { label: "Mêlée", value: "melee" },
    tir: { label: "Tir", value: "tir" }
  },
  armeAllonges: {
    courte: { label: "Courte", value: "courte" },
    moyenne: { label: "Moyenne", value: "moyenne" },
    longue: { label: "Longue", value: "longue" },
    treslongue: { label: "Très longue", value: "treslongue"}
  },
  armeCompetences: {
    bagarre: { label: "Bagarre", value: "bagarre" },
    maingauche: { label: "Main gauche", value: "maingauche" },
    escrime: { label: "Escrime", value: "escrime" },
    hast: { label: "Armes d'Hast", value: "hast" },
    lancer: { label: "Lancer", value: "lancer" },
    archerie: { label: "Archerie", value: "archerie" },
    arquebusade: { label: "Arquebusade", value: "arquebusade" }
  },
  competencesRecharge: {
    aucune: { label: "Aucune", value: "aucune" },
    archerie: { label: "Archerie", value: "archerie" },
    arquebusade: { label: "Arquebusade", value: "arquebusade" }
  },
  difficulte: {
    routine: { label: "Routine", key: "routine",  value: 3 },
    facile: { label: "Facile", key: "facile",value: 5 },
    pardefaut: { label: "Par Défaut", key: "pardefaut", value: 7 },
    malaise: { label: "Malaisé", key: "malaise", value: 9 },
    difficile: { label: "Difficile", key: "difficile", value: 11 },
    perilleux: { label: "Perilleux", key: "perilleux", value: 13 },
    desespere: { label: "Désespéré", key: "desespere", value: 15 }
  },
  monnaie: {
    denier: { label: "Deniers", id: "denier", value: 1 },
    sol: { label: "Sols", id: "sol", value: 10 },
    livre: { label: "Livres", id: "livre", value: 100 }
  },
  etapesEducation: {
    pouponniere: { label: "La Pouponnière", value: "pouponniere", agemin: 0, agemax: 6, nbCompetences: 2, nbCaracteristiques: 3, hasQuestionnaire: true, hasMultiplier: false },
    petitsgrimauds: { label: "La classe des Petits Grimauds", value: "petitsgrimauds", agemin: 7, agemax: 12,nbCompetences: 2, nbCaracteristiques: 3, hasQuestionnaire: true, hasMultiplier: false },
    rosevie: { label: "Les Roses de la Vie", value: "rosevie", agemin: 13, agemax: 16, nbCompetences: 2, nbCaracteristiques: 3, hasQuestionnaire: true, hasMultiplier: false },
    ageviril: { label: "L'Age Viril", value: "ageviril", agemin: 17, agemax: 17, nbCompetences: 9, nbCaracteristiques: 2, hasQuestionnaire: false, hasMultiplier: true },
  },
  origineSociale: {
    noblesseepee: { label: "Noblesse d'épée", id: "noblesseepee", value: 1 },
    noblessecloche: { label: "Noblesse de cloche", id: "noblessecloche", value: 2 },
    hautenoblesse: { label: "Haute noblesse (Illégitime)", id: "hautenoblesse", value: 3 },
    hautebourgeoisie: { label: "Haute bourgeoisie", id: "hautebourgeoisie", value: 4 },
    petitebourgeoisie: { label: "Petite bourgeoisie (Marchands)", id: "petitebourgeoisie", value: 5 },
    artisan: { label: "Artisans", id: "artisan", value: 6 },
    laboureur: { label: "Laboureurs", id: "laboureur", value: 7 },
    domesticite: { label: "Domesticité", id: "domesticite", value: 8 },
    paysannerie: { label: "Paysannerie", id: "paysannerie", value: 9 },
    gueux: { label: "Gueux", id: "gueux", value: 10 },
  },
  bonusMalus: [
    { value: "-2", label: "-2 niveaux"  },
    { value: "-1", label: "-1 niveau"  },
    { value: "0", label: "Aucun"  },
    { value: "1", label: "+1 niveau"  },
    { value: "2", label: "+2 niveaux"  }
  ], 
  blessures: {
    indemne: { value: 0, label: "Indemne", key: "indemne", degatsMax: -1, count: 0, modifier: 0 },
    estafilade: { value: 1, label: "Estafilade", key: "estafilade", degatsMax: 2, count: 1, modifier: 0 },
    plaie: { value: 2, label: "Plaie", key: "plaie", degatsMax: 4, count: 1, modifier: -1 },
    plaiebeante: { value: 3, label: "Plaie béante", key: "plaiebeante", degatsMax: 6, count: 1, modifier: -2 },
    plaieatroce: { value: 4, label: "Plaie atroce", key: "plaieatroce", degatsMax: 6, count: 1, horsCombat: true, modifier: -12 },
    tunenet: { value: 5, label: "Tué net", key: "tuenet", degatsMax: 100, count: 1, horsCombat: true, mort: true, modifier: -12 }
  },
  virulence: {
    fatigue: { label: "Fatigue", value: "fatigue", modifier: 0 },
    epuisement: { label: "Epuisement", value: "epuisement",modifier: -1 },
    souffrance: { label: "Souffrance", value: "souffrance", modifier: -2 },
    agonie: { label: "Agonie", value: "agonie", modifier: -3 }
  },
  fievre: {
    aucune: { label: "Aucune", value: "aucune" },
    legere: { label: "Légère", value: "legere" },
    forte: { label: "Forte", value: "forte" },
    grave: { label: "Grave", value: "grave" }
  },
  virulencePoison: {
    aucune: { label: "Aucune", value: "nausee", modifier: 0 },
    nausee: { label: "Nausées & Vertiges", value: "nausee", modifier:0 },
    inflammation: { label: "Inflammations & Vomissements", value: "inflammation", modifier: -1  },
    elancement: { label: "Elancements & Hémorragies", value: "elancement" , modifier: -2 },
    convulsion: { label: "Convulsions & Délire hallucinatoire", value: "convulsion", modifier: -3 },
    mort: { label: "Inconscience & Mort", value: "mort", modifier: -12 }
  }
}